package.json 1.96 KB
Newer Older
Emmanuel Raviart's avatar
Emmanuel Raviart committed
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59
{
  "name": "eurhisfirm-sitelinks-server",
  "description": "Web service providing a MediaWiki-compatible API for sitelinks",
  "version": "0.0.1",
  "author": "Emmanuel Raviart <emmanuel@raviart.com>",
  "license": "AGPL-3.0-or-later",
  "repository": {
    "type": "git",
    "url": "https://gitlab.huma-num.fr/eurhisfirm/sitelink-server.git"
  },
  "keywords": [
    "mediawiki",
    "sitelink",
    "wikibase"
  ],
  "scripts": {
    "dev": "sapper dev",
    "build": "sapper build",
    "export": "sapper export",
    "start": "node __sapper__/build"
  },
  "dependencies": {
    "compression": "^1.7.1",
    "polka": "^0.5.1",
    "sirv": "^0.2.0"
  },
  "devDependencies": {
    "@babel/core": "^7.1.2",
    "@babel/plugin-proposal-class-properties": "^7.1.0",
    "@babel/plugin-proposal-decorators": "^7.1.2",
    "@babel/plugin-proposal-do-expressions": "^7.0.0",
    "@babel/plugin-proposal-export-default-from": "^7.0.0",
    "@babel/plugin-proposal-export-namespace-from": "^7.0.0",
    "@babel/plugin-proposal-function-bind": "^7.0.0",
    "@babel/plugin-proposal-function-sent": "^7.1.0",
    "@babel/plugin-proposal-json-strings": "^7.0.0",
    "@babel/plugin-proposal-logical-assignment-operators": "^7.0.0",
    "@babel/plugin-proposal-nullish-coalescing-operator": "^7.0.0",
    "@babel/plugin-proposal-numeric-separator": "^7.0.0",
    "@babel/plugin-proposal-optional-chaining": "^7.0.0",
    "@babel/plugin-proposal-pipeline-operator": "^7.0.0",
    "@babel/plugin-proposal-throw-expressions": "^7.0.0",
    "@babel/plugin-syntax-dynamic-import": "^7.0.0",
    "@babel/plugin-syntax-import-meta": "^7.0.0",
    "@babel/polyfill": "^7.0.0",
    "@babel/preset-env": "^7.1.0",
    "babel-eslint": "^10.0.1",
    "babel-loader": "^8.0.4",
    "eslint": "^5.7.0",
    "eslint-loader": "^2.1.1",
    "eslint-plugin-html": "^5.0.0",
    "morgan": "^1.9.1",
    "npm-run-all": "^4.1.2",
    "sapper": "^0.24.0",
    "svelte": "^2.0.0",
    "svelte-loader": "^2.9.0",
    "webpack": "^4.7.0"
  }
}